﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS 680C,684C (1 yr) VER IEEE /5800+5Ch+G2
DATE:                  2017-02-22 14:22:38
AUTHOR:                Fluke
REVISION:              $Revision: 18382 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       251
CONFIGURATION:         Fluke 5800A (C5,G2)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#        BNC T(f-m-f) adapter
#        SMA T(f-m-f) adapter
#        Cable, 50 Ohm, SMA(m)-(m), 20", two sets
#        3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#        2 sets SMA Short
#        BNC 90 ° female to male adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         1GH                          1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

# Verify MET/VERsion compatibility.
  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         UUT IDENTIFICATION
  1.019  TARGET
  1.020  CALL         Sub TDS500/600/700 Setup IEEE
  1.021  IEEE2        *RST;DESE 61
  1.022  WAIT         -t 4 System Initializing ...

  1.023  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.024  MATH         @UUT_AssetNum     = UUT()

  1.025  IF           NOT(EMPTY(@UUT_AssetNum))
  1.026  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.027  ENDIF

  1.028  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.029  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.030  JMPL         END                          @Abort

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to review the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         The following additional equipment and/or accessories
  1.034  DISP         are required:
  1.034  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.034  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.034  DISP         - Cable, coaxial, BNC(m)-(m)
  1.034  DISP         - BNC T(f-m-f) adapter
  1.034  DISP         - SMA(f) to SMA(f), SMA(m) to BNC(f) adapter, 3 sets
  1.034  DISP         - SMA T(f-m-f) adapter
  1.034  DISP         - Cable, 50 Ohm, 20", SMA(m)-(m), 2 sets
  1.034  DISP         - SMA Short, 2 sets
  1.034  DISP         - BNC 90 ° female to male adapter
  1.034  DISP         - Dual Input Coupler (BNC)
  1.034  DISP         - 50 Ohm Feedthrough (BNC)
  1.035  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.036  CALL         Sub TDS600C Specifications
  1.037  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.038  JMPL         END                          @Abort
  1.039  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.040  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.041  MATH         @SourceChanNum = 5

# Specify channel to test.
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.044  MATH         @Chan = 2
  1.045  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.046  MATH         @Chan = 3
  1.047  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.048  MATH         @Chan = 4
  1.049  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.050  MATH         @Chan = 1
  1.051  M5800                                                    C1
  1.052  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.053  MATH         @Chan = 2
  1.054  M5800                                                    C2
  1.055  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.056  MATH         @Chan = 3
  1.057  M5800                                                    C3
  1.058  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800
  1.059  MATH         @Chan = 4
  1.060  M5800                                                    C4
  1.061  CALL         Sub TDS600C (1 yr) DCV Meas Acc IEEE /5800

  1.062  MATH         @Chan = 1
  1.063  M5800                                                    C1
  1.064  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800+G2
  1.065  MATH         @Chan = 2
  1.066  M5800                                                    C2
  1.067  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800+G2
  1.068  MATH         @Chan = 3
  1.069  M5800                                                    C3
  1.070  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800+G2
  1.071  MATH         @Chan = 4
  1.072  M5800                                                    C4
  1.073  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /5800+G2
  1.074  JMPL         TIMEBASE_TRIGGER

  1.075  LABEL        DELAY_MATCH
  1.076  MATH         @Chan = 1
  1.077  M5800                                                    C1
  1.078  CALL         Sub TDS600C (1 yr) Delay Match IEEE /5800
  1.079  JMPL         OUTPUT_SIGNAL

  1.080  LABEL        TIMEBASE_TRIGGER
  1.081  MATH         @Chan = 1
  1.082  M5800                                                    C1
  1.083  CALL         Sub TDS600C (1 yr) Time Base IEEE /5800
  1.084  JMPL         TRIG_TIME_ACC

  1.085  LABEL        DELTA_TIME
  1.086  MATH         @Chan = 1
  1.087  M5800                                                    C1
  1.088  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /5800
  1.089  MATH         @Chan = 2
  1.090  M5800                                                    C1
  1.091  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /5800
  1.092  MATH         @Chan = 3
  1.093  M5800                                                    C1
  1.094  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /5800
  1.095  MATH         @Chan = 4
  1.096  M5800                                                    C1
  1.097  CALL         Sub TDS680C/684C (1 yr) Delta Time IEEE /5800
  1.098  JMPL         END

  1.099  LABEL        TRIG_TIME_ACC
  1.100  M5800                                                    C1
  1.101  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /5800

  1.102  MATH         @Chan = 1
  1.103  M5800                                                    C1
  1.104  CALL         Sub TDS600C (1 yr) Sens IEEE /5800+G2
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.105  OPBR         -z Each channel trig sensitivity test will take about
  1.105  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.105  OPBR         channels to save time, unless desired.
  1.105  OPBR
  1.105  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.105  OPBR         3, and 4?
  1.106  MATH         @TestCh234Sens = MEM1
  1.107  JMPL         MAIN_TRIG_SENS_CH2

  1.108  LABEL        AUX_TRIG_IN
  1.109  MATH         @Chan = 1
  1.110  M5800                                                    C1
  1.111  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /5800
  1.112  JMPL         DELAY_MATCH

  1.113  LABEL        MAIN_TRIG_SENS_CH2

  1.114  IF           @TestCh234Sens
  1.115  MATH         Time = 3 * @OptChSensTime
  1.116  DISP         The next routine operator intervention occurs
  1.116  DISP         in approximately [V Time] minutes...
  1.117  MATH         @Chan = 2
  1.118  M5800                                                    C2
  1.119  CALL         Sub TDS600C (1 yr) Sens IEEE /5800+G2
  1.120  MATH         @Chan = 3
  1.121  M5800                                                    C3
  1.122  CALL         Sub TDS600C (1 yr) Sens IEEE /5800+G2
  1.123  MATH         @Chan = 4
  1.124  M5800                                                    C4
  1.125  CALL         Sub TDS600C (1 yr) Sens IEEE /5800+G2
  1.126  ENDIF

  1.127  JMPL         AUX_TRIG_IN

  1.128  LABEL        OUTPUT_SIGNAL
  1.129  M5800                                                    C1
  1.130  CALL         Sub TDS600C (1 yr) Output Signal IEEE /5800
  1.131  M5800                                                    C1
  1.132  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /5800
  1.133  JMPL         DELTA_TIME

  1.134  LABEL        END
  1.135  IEEE2        *RST;DESE 61

  1.136  IF           @Abort
  1.137  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.138  ENDIF

  1.139  END
